Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.dockbar.event
Class DockbarTracker

    java.lang.Object
      org.flexdock.dockbar.event.DockbarTracker

All Implemented Interfaces:
  AWTEventListener, PropertyChangeListener, EventListener, DockingConstants

    public class DockbarTracker

extends Object
implements DockingConstants, PropertyChangeListener, AWTEventListener

Author:
  Christopher Butler

Field Summary

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`DockbarTracker()`

Method Summary
`void` | `eventDispatched(AWTEvent event)`
`void` | `propertyChange(PropertyChangeEvent evt)`
`static void` | `register()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockbarTracker

    public DockbarTracker()

Method Detail

### register

    public static void register()

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### eventDispatched

    public void eventDispatched(AWTEvent event)

  Specified by:
    `eventDispatched` in interface `AWTEventListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD